/*!
  @header ECTestSuiteTEST
  @abstract Module of Encore
 
  @availability OS X, GNUstep
  @copyright 2004, 2005, 2006 Oliver Langer
  
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301 USA

  <pre>
  -------------------------------------------------------------------------
  Modification history

  22.11.05 ola     initial version
  23.08.06 ola     license changed
  -------------------------------------------------------------------------
  </pre>
*/

#include <ECTestSuiteTEST.h>


@implementation ECTestSuiteTEST

- init {
  self = [super init];
  self->setupCalled = NO;
  self->cleanupCalled = NO;
  
  return self;
}


- setup {
  NSLog( @"ECTestSuite::setup called" );
  self->setupCalled = YES;
  
  return self;
}


- testItWithSuccess {
  NSLog( @"ECTestSuite::testItWithSuccess: BEGIN..." );
  ECAssertFalse( self->setupCalled, @"Correct failure!" );
  NSLog( @"ECTestSuite::testItWithSuccess: FINISHED" );
  
  return self;
}


- testItWithFailure {
  NSLog( @"ECTestSuite::testItWithFailure: BEGIN..." );
  ECAssertTrue( self->setupCalled, @"Setup NOT called!" );
  ECAssertFalse( self->cleanupCalled, @"Cleanup NOT called!" );
  NSLog( @"ECTestSuite::testItWithFailure: FINISHED" );
  
  return self;
}

- cleanup {
  NSLog( @"ECTestSuite::cleanup called" );
  
  return self;
}


@end
